=== debian/changelog ===
u-boot (2015.04+dfsg1-2ubuntu1) wily; urgency=medium

  * add mkenvimage to u-boot-tools

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Jul 2015 11:24:26 +0200

u-boot (2015.04+dfsg1-2) unstable; urgency=medium

  [ Joost van Zwieten ]
  * u-boot-exynos: Enable odroid target.

  [ Vagrant Cascadian ]
  * u-boot-imx/mx6cuboxi:
    + Add patches to enable HDMI and USB support.
    + Add patches to fix Ethernet PHY detection.
  * u-boot-imx/wandboard: Add patch from u-boot-imx to build a single SPL
    target for all variants.

  [ Robert Nelson ]
  * u-boot-omap: Include u-boot.img instead of u-boot.bin for igep0020,
    omap3_beagle and omap4_panda.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 25 May 2015 20:36:37 -0700

u-boot (2015.04+dfsg1-1) experimental; urgency=medium

  [ Ian Campbell ]
  * u-boot-exynos: Fix conflict between arndale and sunxi spl
    targets.
  * u-boot-sunxi: Update sunxi FEL target.

  [ Vagrant Cascadian ]
  * u-boot-imx:
    + Add usbarmory target.
    + Add novena target.
    + Add patches from u-boot-imx to support Cubox-i and Hummingboard and
      drop old cubox-i patches.
    + Add mx6cuboxi target.
    + mx6cuboxi: Add patch to use config_distro_bootcmd.
    + wandboard: Add patch to use config_distro_bootcmd and remove old
      environment patches.
    
  * u-boot-omap:
    + am335x_boneblack: Remove patch to set voltage.
    + am335x_boneblack: Add patch to use config_distro_bootcmd and remove
      old patches.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 27 Apr 2015 14:54:44 -0700

u-boot (2015.04~rc5+dfsg1-1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * [sh4] Fix FTBFS due to incorrect target names (Closes: #780066).

  [ Vagrant Cascadian ]
  * [armel] Use "rpi" for the Raspberry pi target, as it was renamed
    upstream.
  * [armel] Remove openrd_ultimate target, which fails to build upstream.
  * [armel] Remove obsolete mmc guruplug and openrd patches.
  * [armhf] Remove arndale patches, applied upstream.
  * Fix cross-building of u-boot-tools (Closes: #775614).
  * [armhf] u-boot-sunxi: Enable A20-OLinuXino_MICRO. Thanks to Arne
    Ploese for testing!
  * [armhf] u-boot-sunxi: Enable Linksprite_pcDuino3. Thanks to Patrice Go
    for testing!

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 07 Apr 2015 13:58:39 -0700

u-boot (2015.04~rc3+dfsg1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Remove patches applied upstream:
    - ti_armv7_common-support_raw_initrd.diff
  * Refresh patches:
    - cubox-i/cubox-i-support.diff
    - mipsel-native-endianness.diff
    - mx53loco
    - openrd-mmc.diff
    - series
    - wandboard/wandboard-uEnv.txt-bootz-n-fixes.patch
    - guruplug_mvfs_and_mmc.diff
  * Add patch to enable USB mass-storage support for the BeagleBone Black:
    - beagleboneblack/usb-mass-storage.patch
  * debian/rules: Add get-orig-source target.

  * Disable patches that fail to apply:
    - cubox-i/imx6-spl-support.diff
    - arndale/exynos-Enable-config_distro_defaults.h.patch
    - arndale/exynos5-Use-config_distro_bootcmd.h.patch
  * Disable cubox-i build target and patches, as it fails to build.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 08 Mar 2015 12:15:59 -0700
