=== debian/watch ===
version=3

opts=repacksuffix=+dfsg1,uversionmangle=s/-rc/~rc/g,dversionmangle=s/\+dfsg.*//g \
http://ftp.denx.de/pub/u-boot/ u-boot-([\d\.].*)\.tar\.bz2
