=== board/ip04/Makefile ===
#
# U-boot - Makefile
#
# Copyright (c) 2005-2010 Analog Device Inc.
#
# (C) Copyright 2000-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# SPDX-License-Identifier:	GPL-2.0+
#

obj-y	:= ip04.o
