=== board/ms7750se/Makefile ===
#
# Copyright (C) 2007
# Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
#
# SPDX-License-Identifier:	GPL-2.0+
#

obj-y	:= ms7750se.o
obj-y	+= lowlevel_init.o
